> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Integration Source Database

> Delete an integration source database.



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json delete /api/integration-sources/{source_id}/databases/{database_id}
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/integration-sources/{source_id}/databases/{database_id}:
    delete:
      tags:
        - Integration Sources
      summary: Delete Integration Source Database
      description: Delete an integration source database.
      operationId: >-
        delete_integration_source_database_api_integration_sources__source_id__databases__database_id__delete
      parameters:
        - name: source_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Database Id
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````